sk_alloc
Prev | Socket Buffer Functions | Next

## Name

sk_alloc — All socket objects are allocated here

## Synopsis

`struct sock * sk_alloc (` | int | family,
| gfp_t | priority,
| struct proto * | prot,
| int | zero_it`)`;

## Arguments

`family`

  protocol family

`priority`

  for allocation (`GFP_KERNEL`, `GFP_ATOMIC`, etc)

`prot`

  struct proto associated with this new sock instance

`zero_it`

  if we should zero the newly allocated sock

Prev | Up | Next
skb_cow_data | Home | sk_wait_data